{% extends "base.html" %}
{% block title %}Evaluar{% endblock %}
{% block body %}
    {{ super() }}


    <div class="form-group boxed table-responsive" id="box_filtro">  
            <label class="my-1 mr-2"><b>Mis TFGs</b></label>
            <table class="table table-hover">
                <thead>
                  <tr>
                    <th scope="col">Nota</th>
                  </tr>
                </thead>
                <tbody>
                    

                    <form action = "" method = "post">

                      <td>
                       
                        {% if nota %}
                        <label>Este TFG ya ha sido evaluado por usted</label>
                        {% else %}
                        <label>Inserte aqui anotaciones sobre la exposicion del alumno</label>
                        <textarea id="texto" class="form-control" rows="10" name = "anotacion" ></textarea>  
                        <label>Nota</label>
                        <input id="pre" pattern="^\d*(\.\d{0,1})?$" name="nota" min="0" max="10"><br>
                        {% endif %}
                        
                      </td>

                      </table>
                      <a href="home" class="btn btn-primary active" role="button" aria-pressed="true">Volver</a>
                      {% if not nota %}
                       <input id="but" type="submit" value="Submit" class="btn btn-success" onclick="return checkValues()" role="button">
                       {% endif %}
                    </form>
                       
                </tbody>

    </div>   

        <script>

            $(document).on('keydown', 'input[pattern]', function(e){
              var input = $(this);
              var oldVal = input.val();
              var regex = new RegExp(input.attr('pattern'), 'g');

              setTimeout(function(){
                var newVal = input.val();
                if(!regex.test(newVal)){
                  input.val(oldVal); 
                }
              }, 0);
            });


            $('#but').click(function()
            {
                if(!$('#pre').val()) {
                   alert('warning');
                }else if(!$('#trib').val()){
                   alert('warning');
                }else if(!$('#ext').val()){
                   alert('warning');
                }
            });

            
        </script>

{% endblock %}